# classes/phing/tasks/system/condition/OrCondition.php

<or> condition container.

Iterates over all conditions and returns true as soon as one evaluates to true.

access
  public
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \OrCondition
jump to top

<or> condition container.

Iterates over all conditions and returns true as soon as one evaluates to true.

Extends from
  \ConditionBase
Implements
  \Condition
access
  public
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Methods

`evaluate( ) :`
Documentation was generated by DocBlox 0.13.1.